import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TopbarComponent } from './topbar/topbar.component';
import { FooterComponent } from './footer/footer.component';
import { SidebarComponent } from './sidebar/sidebar.component';
import { MenuSelectionDirective } from './_directives/menu-selection.directive';
import { MenuToggleDirective } from './_directives/menu-toggle.directive';
import {RouterModule} from '@angular/router';



@NgModule({
  declarations: [
    TopbarComponent,
    FooterComponent,
    SidebarComponent,
    MenuSelectionDirective,
    MenuToggleDirective
  ],
  exports: [
    TopbarComponent,
    FooterComponent,
    SidebarComponent,
    MenuSelectionDirective
  ],
  imports: [
    CommonModule,
    RouterModule
  ]
})
export class SharedModule { }
